/*
 * Mailchimp Styles
 * 
 * @package Vietek
 * @subpackage CSS
 *
 */

/*-----------------------------------------------------------------------------------*/
/* General */
/*-----------------------------------------------------------------------------------*/

#mailchimp-top-bar * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

#mailchimp-top-bar form,
#mailchimp-top-bar input,
#mailchimp-top-bar label {
    vertical-align: middle;
    margin: 0;
    padding: 0;
    box-shadow: none;
    text-shadow: none;
    font-size: 100%;
    outline: 0;
    height: auto;
    line-height: initial;
    float: none
}

#mailchimp-top-bar input,
#mailchimp-top-bar label {
    display: inline-block!important;
    vertical-align: middle!important;
    width: auto
}

#mailchimp-top-bar form {
    text-align: center;
    margin: 0!important;
    padding: 0!important
}

#mailchimp-top-bar label {
    margin: 0 6px 0 0
}

#mailchimp-top-bar .mctb-button,
#mailchimp-top-bar .mctb-email,
#mailchimp-top-bar input,
#mailchimp-top-bar input[type=text],
#mailchimp-top-bar input[type=email] {
    margin: 0 0 0 6px;
    border: 1px solid #fff;
    background: #fff;
    height: auto
}

#mailchimp-top-bar .mctb-email {
    width: 100%;
    max-width: 240px!important
}

#mailchimp-top-bar .mctb-button {
    margin-left: 0;
    cursor: pointer
}

#mailchimp-top-bar .mctb-email-confirm {
    display: none!important
}

#mailchimp-top-bar.mctb-small {
    font-size: 10px
}

#mailchimp-top-bar.mctb-small .mctb-bar {
    padding: 5px 0;
}

#mailchimp-top-bar.mctb-small .mctb-button {
    padding: 4px 12px
}

#mailchimp-top-bar.mctb-small .mctb-email,
#mailchimp-top-bar.mctb-small .mctb-label,
#mailchimp-top-bar.mctb-small input {
    padding: 4px 6px!important
}

#mailchimp-top-bar.mctb-small input,
#mailchimp-top-bar.mctb-small label {
    font-size: 12px
}

#mailchimp-top-bar.mctb-small .mctb-close {
    padding: 4px 12px;
    font-size: 16px
}

#mailchimp-top-bar.mctb-medium {
    font-size: 12.5px
}

#mailchimp-top-bar.mctb-medium .mctb-bar {
    padding: 6.25px 7.5px
}

#mailchimp-top-bar.mctb-medium .mctb-button {
    padding: 5px 15px
}

#mailchimp-top-bar.mctb-medium .mctb-email,
#mailchimp-top-bar.mctb-medium .mctb-label,
#mailchimp-top-bar.mctb-medium input {
    padding: 5px 7.5px!important
}

#mailchimp-top-bar.mctb-medium input,
#mailchimp-top-bar.mctb-medium label {
    font-size: 15px
}

#mailchimp-top-bar.mctb-medium .mctb-close {
    padding: 5px 15px;
    font-size: 20px
}

#mailchimp-top-bar.mctb-big {
    font-size: 15px
}

#mailchimp-top-bar.mctb-big .mctb-bar {
    padding: 7.5px 9px
}

#mailchimp-top-bar.mctb-big .mctb-button {
    padding: 6px 18px
}

#mailchimp-top-bar.mctb-big .mctb-email,
#mailchimp-top-bar.mctb-big .mctb-label,
#mailchimp-top-bar.mctb-big input {
    padding: 6px 9px!important
}

#mailchimp-top-bar.mctb-big input,
#mailchimp-top-bar.mctb-big label {
    font-size: 18px
}

#mailchimp-top-bar.mctb-big .mctb-close {
    padding: 6px 18px;
    font-size: 24px
}

@media (max-width:580px) {
    #mailchimp-top-bar .mctb-email,
    #mailchimp-top-bar .mctb-label,
    #mailchimp-top-bar input,
    #mailchimp-top-bar label {
        width: 100%;
        max-width: 100%!important
    }
    #mailchimp-top-bar .mctb-email,
    #mailchimp-top-bar input {
        margin: 6px 0 0!important
    }
}

@media (max-width:860px) {
    #mailchimp-top-bar.multiple-input-fields .mctb-label {
        display: block!important;
        margin: 0 0 6px
    }
}

.mctb {
    width: 100%;
    text-align: center;
}

.mctb-response {
    position: relative;
    z-index: 100;
    top: 0;
    left: 0;
    width: 100%
}